"use strict";

const getLetterFrequencies = text => text.split('').reduce((acc, letter) => {
  if (acc[letter]) {
    return { ...acc,
      [letter]: acc[letter] + 1
    };
  }

  return { ...acc,
    [letter]: 1
  };
}, {});

console.log(getLetterFrequencies('АБРАКАДАБРА'));